//******************************************************************************
// Siple LED blinking. LED1 (D3) LED2 (D4) toggle at 1 second pace
//
//
// Tested Platform: mini Controller Board PIC32
// Tested MCU: PIC32MX150F128D
// Tested Compiler: XC32 4.30
//******************************************************************************

#include "xc.h"

#define SYSTEM_CLOCK 32000000UL

#include "LTlib.h"

#include "HW_mini_Sensing_PIC_Board.h"

#include "module_IO.h"  
#include "module_IO.c" 

#include "LTlib_delay.h"
#include "LTlib_delay.c"


int main (void){
    
    IO_set_all_ports_as_inputs ();
    
    delay_set_quartz(16);
    
    //Set LED as output
    LED_1_DIR = SET_AS_OUTPUT;
    LED_2_DIR = SET_AS_OUTPUT;
        
    //Output Buzzer
    BUZZER_DIR = SET_AS_OUTPUT;
    
    //Open Drain as output 
    OPEN_DRAIN_DIR = SET_AS_OUTPUT;
        
    //Servo
    SERVO_DIR = SET_AS_OUTPUT;
    
        
    //Initialization
    LED_1 = LED_OFF;
    LED_2 = LED_ON;
    BUZZER_OUT = OFF_STATE;
    OPEN_DRAIN_OUT = ON_STATE;
    SERVO_OUT = ON_STATE;

    while (1){
        delay_ms (500);
        LED_1 ^= 0x01;
        LED_2 ^= 0x01;
    }    
}
