//******************************************************************************
// The Open Drain and Servo pins are toggled.
//
//
// Tested Platform: mini Controller Board PIC32
// Tested MCU: PIC32MX150F128D
// Tested Compiler: XC32 4.30
//******************************************************************************

#include "xc.h"

#define SYSTEM_CLOCK 32000000UL

#include "LTlib.h"

#include "HW_mini_Sensing_PIC_Board.h"

#include "module_IO.h"  
#include "module_IO.c" 

#include "LTlib_delay.h"
#include "LTlib_delay.c"


int main (void){

    IO_set_all_ports_as_inputs ();
    
    delay_set_quartz(32);
    
    //Open Drain as output 
    OPEN_DRAIN_DIR = SET_AS_OUTPUT;
        
    //Servo
    SERVO_DIR = SET_AS_OUTPUT;
    
    //Initialization
    OPEN_DRAIN_OUT = OFF_STATE;
    SERVO_OUT = ON_STATE;
    
    //IO_set
    while (1){
        delay_ms(500);

        OPEN_DRAIN_OUT ^= 0x01;
        SERVO_OUT ^= ON_STATE;
               
    }
}
